## vttest 2.7%2B20230201

=== debian/changelog ===
vttest (2.7+20230201-1) unstable; urgency=medium

  * New upstream version 2.7+20230201

 -- Andreas Bombe <aeb@debian.org>  Tue, 05 Sep 2023 00:07:54 +0200

vttest (2.7+20221229-1) unstable; urgency=medium

  * New upstream version 2.7+20221229
  * Bump Standards-Version to 4.6.2, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Wed, 01 Feb 2023 01:29:43 +0100

vttest (2.7+20221111-1) unstable; urgency=medium

  * New upstream version 2.7+20221111

 -- Andreas Bombe <aeb@debian.org>  Mon, 21 Nov 2022 00:17:17 +0100

vttest (2.7+20220827-1) unstable; urgency=medium

  * New upstream version 2.7+20220827
  * Bump Standards-Version to 4.6.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 24 Oct 2022 22:58:29 +0200

vttest (2.7+20220215-1) unstable; urgency=medium

  * New upstream version 2.7+20220215
  * Add new upstream sigining key to d/upstream/signing-key.asc
  * Update copyright years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Thu, 03 Mar 2022 02:32:12 +0100

vttest (2.7+20210210-1) unstable; urgency=medium

  * New upstream version 2.7+20210210
  * Adjust copyright years in d/copyright
  * Fix spelling of License field in d/copyright
  * Bump Standards-Version to 4.6.0, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Tue, 24 Aug 2021 18:58:14 +0200

vttest (2.7+20201225-1) unstable; urgency=medium

  * New upstream version 2.7+20201225
  * Add Rules-Requires-Root: no to d/control

 -- Andreas Bombe <aeb@debian.org>  Wed, 30 Dec 2020 20:40:18 +0100

vttest (2.7+20200920-1) unstable; urgency=medium

  * New upstream version 2.7+20200920
  * Bump Standards-Version to 4.5.1, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Nov 2020 01:03:21 +0100

vttest (2.7+20200610-1) unstable; urgency=medium

  * New upstream version 2.7+20200610
  * Add patch that converts upstream README to UTF-8

 -- Andreas Bombe <aeb@debian.org>  Sun, 23 Aug 2020 18:30:40 +0200

vttest (2.7+20200420-1) unstable; urgency=medium

  * New upstream version 2.7+20200420

 -- Andreas Bombe <aeb@debian.org>  Sat, 25 Apr 2020 17:47:58 +0200

vttest (2.7+20200303-1) unstable; urgency=medium

  * New upstream version 2.7+20200303
  * Remove workaround in debian/rules for autoconf-dickey not supporting
    --runstatedir
  * Remove debian/compat and use debhelper-compat in Build-Depends instead
  * Raise debhelper compat level to 13
  * Update copyright years in debian/copyright
  * Bump Standards-Version to 4.5.0
    * Reorganize machine-readable debian/copyright to conform better to
      specification changes introduced with 4.4.1

 -- Andreas Bombe <aeb@debian.org>  Sat, 18 Apr 2020 23:07:11 +0200

vttest (2.7+20190710-1) unstable; urgency=medium

  * New upstream version 2.7+20190710
  * Bump Standards-Version to 4.4.0, no changes necessary
  * Point debian/watch at https mirror instead of FTP site
  * Change Homepage field URI from http to https
  * Raise debhelper compat level to 12

 -- Andreas Bombe <aeb@debian.org>  Mon, 22 Jul 2019 23:30:26 -0300

vttest (2.7+20180911-1) unstable; urgency=medium

  * New upstream version 2.7+20180911
  * Bump Standards-Version to 4.2.1, no changes necessary
  * Remove debian/source/options with compression-level setting

 -- Andreas Bombe <aeb@debian.org>  Fri, 14 Dec 2018 02:14:57 +0100

vttest (2.7+20180811-1) unstable; urgency=medium

  * New upstream version 2.7+20180811
  * Update Vcs-* fields in debian/control to salsa repository location
  * Add oversionmangle option to debian/watch
  * Add options to debian/watch to check upstream PGP signature
  * Raise debhelper compat level to 11
    - Work around Dickey's configure's failure to recognize --runstatedir
  * Bump Standards-Version to 4.2.0, no changes necessary
  * Update copyright years for Thomas E. Dickey in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Sun, 19 Aug 2018 00:50:23 +0200

vttest (2.7+20140305-3) unstable; urgency=medium

  * Change debian/watch URL from invisible-island.net to working
    ftp.invisible-island.net
  * Remove Build-Depends on dh-autoreconf and "--with autoreconf", not needed
    with debhelper >= 10
  * Bump Standards-Version to 4.1.0, no changes necessary

 -- Andreas Bombe <aeb@debian.org>  Sun, 27 Aug 2017 20:30:26 +0200

vttest (2.7+20140305-2) unstable; urgency=medium

  * Add Vcs-Git headers to debian/control for collab-maint repository
  * Bump Standards-Version to 3.9.8
  * Enable hardening build flags
  * Raise debhelper compat level to 10

 -- Andreas Bombe <aeb@debian.org>  Sun, 22 Jan 2017 20:30:31 +0100

vttest (2.7+20140305-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Bombe <aeb@debian.org>  Wed, 09 Apr 2014 01:44:48 +0200

vttest (2.7+20140116-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.5

 -- Andreas Bombe <aeb@debian.org>  Thu, 06 Feb 2014 02:09:10 +0100

vttest (2.7+20130818-1) unstable; urgency=low

  * New upstream release
  * Use the upstream author's patched autoconf (from package autoconf-dickey)
    for correct building

 -- Andreas Bombe <aeb@debian.org>  Thu, 10 Oct 2013 22:36:49 +0200

vttest (2.7+20120603-2) unstable; urgency=low

  * Move from debhelper v7 to v9, uses dpkg-buildflags automatically now
  * Use dh-autoreconf to keep configure file up to date
  * Add autoconf2.13 to Build-Depends due to some old style AC_DEFINE in
    aclocal.m4
  * Bump Standards-Version to 3.9.4
  * Add myself to debian/copyright for debian/* files

 -- Andreas Bombe <aeb@debian.org>  Sun, 05 May 2013 17:44:07 +0200

vttest (2.7+20120603-1) unstable; urgency=low

  * New upstream release

 -- Andreas Bombe <aeb@debian.org>  Mon, 04 Jun 2012 23:52:04 +0200

vttest (2.7+20120506-1) unstable; urgency=low

  * New upstream release

 -- Andreas Bombe <aeb@debian.org>  Thu, 24 May 2012 02:13:31 +0200

vttest (2.7+20111210-1) unstable; urgency=low

  * New upstream release
  * Bump Standard-Version to 3.9.3 (no changes necessary)



## vttest 2.7+20140116

=== package/freebsd/Makefile ===
# New ports collection makefile for:	vttest
# Date created:		2005-07-21
# Whom:			Nicola Vitale <nivit@email.it>
#
# $FreeBSD: ports/sysutils/vttest/Makefile,v 1.8 2012/11/17 06:01:49 svnexp Exp $
#

PORTNAME=	vttest
PORTVERSION=	2014.01.16
CATEGORIES=	sysutils
MASTER_SITES=	ftp://invisible-island.net/vttest/
DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}
EXTRACT_SUFX=	.tgz

MAINTAINER=	nivit@FreeBSD.org
COMMENT=	A program to test "VT100-compatibility" of terminals

GNU_CONFIGURE=	yes

MAKEFILE=	makefile

MAN1=		vttest.1
PLIST_FILES=	bin/vttest

.include <bsd.port.mk>

## vttest 2.7+20091231

=== debian/control ===
Source: vttest
Section: utils
Priority: optional
Maintainer: Wen-Yen Chuang <caleb@calno.com>
Homepage: http://invisible-island.net/vttest/
Build-Depends: debhelper (>= 6)
Standards-Version: 3.8.3

Package: vttest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tool for testing VT100 compatibility of terminals
 This package provides a program designed to test the functionality of
 a VT100 terminal (or emulator). It also supports analysis of VT220,
 VT420, and xterm.
 .
 The program is menu-driven and contains full on-line operating
 instructions. It tests both display (escape sequence) and keyboard
 handling.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f makefile ] || $(MAKE) clean
	rm -f config.log config.h makefile config.status
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) prefix=$(CURDIR)/debian/vttest/usr install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## vttest 2.7+20100528

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vttest
 Section: utils
 Priority: optional
-Maintainer: Wen-Yen Chuang <caleb@calno.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Homepage: http://invisible-island.net/vttest/
-Build-Depends: debhelper (>= 6)
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 7.0.50)
+Standards-Version: 3.9.2
 
 Package: vttest
 Architecture: any

## vttest 2.7+20110705

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vttest
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Andreas Bombe <aeb@debian.org>
 Homepage: http://invisible-island.net/vttest/
 Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.9.2

## vttest 2.7+20120603

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
 Homepage: http://invisible-island.net/vttest/
-Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf2.13
+Standards-Version: 3.9.4
 
 Package: vttest
 Architecture: any

## vttest 2.7+20140305

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	vttest
-PORTVERSION=	2014.01.16
+PORTVERSION=	2014.03.05
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
 Homepage: http://invisible-island.net/vttest/
-Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf2.13
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf-dickey
+Standards-Version: 3.9.5
 
 Package: vttest
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

=== debian/watch ===
version=3
opts="dversionmangle=s/^2.7\+//" \
ftp://invisible-island.net/vttest/vttest-(.*)\.tgz

## vttest 2.7+20180811

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	vttest
-PORTVERSION=	2014.03.05
+PORTVERSION=	2018.08.11
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
 Homepage: http://invisible-island.net/vttest/
-Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf-dickey
-Standards-Version: 3.9.5
+Vcs-Git: https://salsa.debian.org/debian/vttest.git
+Vcs-Browser: https://salsa.debian.org/debian/vttest
+Build-Depends: debhelper (>= 11~), autoconf-dickey
+Standards-Version: 4.2.0
 
 Package: vttest
 Architecture: any

## vttest 2.7+20180911

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	vttest
-PORTVERSION=	2018.08.11
+PORTVERSION=	2018.09.11
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper (>= 11~), autoconf-dickey
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 
 Package: vttest
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/^2.7\+//, \
      oversionmangle=s/^/2.7+/, \
      pgpsigurlmangle=s/$/.asc/" \
ftp://ftp.invisible-island.net/vttest/vttest-(.*)\.tgz

## vttest 2.7+20190710

=== package/freebsd/Makefile ===
# Created by: Nicola Vitale <nivit@email.it>
# $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $

PORTNAME=	vttest
PORTVERSION=	2019.07.10
CATEGORIES=	sysutils
MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

MAINTAINER=	nivit@FreeBSD.org
COMMENT=	Program to test "VT100-compatibility" of terminals

LICENSE=	MIT
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		tar:tgz

GNU_CONFIGURE=	yes

MAKEFILE=	makefile

PLIST_FILES=	bin/vttest man/man1/vttest.1.gz

.include <bsd.port.mk>

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Andreas Bombe <aeb@debian.org>
-Homepage: http://invisible-island.net/vttest/
+Homepage: https://invisible-island.net/vttest/
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
-Build-Depends: debhelper (>= 11~), autoconf-dickey
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 12~), autoconf-dickey
+Standards-Version: 4.4.0
 
 Package: vttest
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i


# Operate dh_auto_configure in compat level 10 so that it does not issue the
# --runstatedir option which Dickey's autoconf does not support
override_dh_auto_configure:
	DH_COMPAT=10 dh_auto_configure

## vttest 2.7+20200610

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2019.07.10
+PORTVERSION=	2020.06.10
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Homepage: https://invisible-island.net/vttest/
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
-Build-Depends: debhelper (>= 12~), autoconf-dickey
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), autoconf-dickey
+Standards-Version: 4.5.0
 
 Package: vttest
 Architecture: any

## vttest 2.7+20201225

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2020.06.10
+PORTVERSION=	2020.12.25
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 
 Package: vttest
 Architecture: any

=== debian/watch ===
version=4
opts="dversionmangle=s/^2.7\+//, \
      oversionmangle=s/^/2.7+/, \
      pgpsigurlmangle=s/$/.asc/" \
https://invisible-mirror.net/archives/vttest/vttest-(.*)\.tgz

## vttest 2.7+20210210

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2020.12.25
+PORTVERSION=	2021.02.10
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: vttest

## vttest 2.7+20221111

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: vttest

## vttest 2.7+20221229

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2021.02.10
+PORTVERSION=	2022.12.29
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $

DISTNAME=	vttest-20221229
CATEGORIES=	misc benchmarks
MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
EXTRACT_SUFX=	.tgz

MAINTAINER=	pkgsrc-users@NetBSD.org
HOMEPAGE=	https://invisible-island.net/vttest/vttest.html
COMMENT=	Utility to test vt100/vt220/xterm
LICENSE=	x11

GNU_CONFIGURE=	yes
MAKE_FILE=	makefile

.include "../../mk/bsd.pkg.mk"

## vttest 2.7+20230201

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2022.12.29
+PORTVERSION=	2023.02.01
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $
 
-DISTNAME=	vttest-20221229
+DISTNAME=	vttest-20230201
 CATEGORIES=	misc benchmarks
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 EXTRACT_SUFX=	.tgz

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: vttest

## vttest 2.7+20240708

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2023.02.01
+PORTVERSION=	2024.07.08
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $
 
-DISTNAME=	vttest-20230201
+DISTNAME=	vttest-20240708
 CATEGORIES=	misc benchmarks
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
vttest (2.7+20240708-1) unstable; urgency=medium

  * New upstream version 2.7+20240708
  * Bump Standards-Version to 4.7.0, no changes necessary
  * Update copyright years in d/copyright

 -- Andreas Bombe <aeb@debian.org>  Thu, 11 Jul 2024 01:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: vttest

## vttest 2.7+20241024

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2024.07.08
+PORTVERSION=	2024.10.24
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $
 
-DISTNAME=	vttest-20240708
+DISTNAME=	vttest-20241024
 CATEGORIES=	misc benchmarks
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
vttest (2.7+20241024-1) unstable; urgency=medium

  * New upstream version 2.7+20241024
  * Remove UTF-8 patch for README, not needed anymore
  * docs do not include BUGS file anymore as it was removed by upstream

 -- Andreas Bombe <aeb@debian.org>  Mon, 28 Oct 2024 19:56:32 +0100

## vttest 2.7+20241031

=== debian/changelog ===
vttest (2.7+20241031-1) unstable; urgency=medium

  * New upstream version 2.7+20241031

 -- Andreas Bombe <aeb@debian.org>  Fri, 15 Nov 2024 14:51:02 +0100

## vttest 2.7+20241208

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $
 
-DISTNAME=	vttest-20241024
+DISTNAME=	vttest-20241208
 CATEGORIES=	misc benchmarks
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
vttest (2.7+20241208-1) unstable; urgency=medium

  * New upstream version 2.7+20241208
  * Update upstream signing key with extended expiry date
  * Bump Standards-Version to 4.7.1, no changes needed

 -- Andreas Bombe <aeb@debian.org>  Sun, 23 Feb 2025 02:16:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Git: https://salsa.debian.org/debian/vttest.git
 Vcs-Browser: https://salsa.debian.org/debian/vttest
 Build-Depends: debhelper-compat (= 13), autoconf-dickey
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 
 Package: vttest

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf autoreconf-dickey -- -f -i

## vttest 2.7+20251205

=== package/freebsd/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # $FreeBSD: head/sysutils/vttest/Makefile 478968 2018-09-04 16:47:01Z nivit $
 
 PORTNAME=	vttest
-PORTVERSION=	2024.10.24
+PORTVERSION=	2025.12.05
 CATEGORIES=	sysutils
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S,.,,g}

=== package/pkgsrc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile,v 1.14 2018/08/19 20:16:41 wiz Exp $
 
-DISTNAME=	vttest-20241208
+DISTNAME=	vttest-20251205
 CATEGORIES=	misc benchmarks
 MASTER_SITES=	ftp://ftp.invisible-island.net/vttest/
 EXTRACT_SUFX=	.tgz

=== debian/changelog ===
vttest (2.7+20251205-1) unstable; urgency=medium

  * New upstream version 2.7+20251205
  * Update debian/copyright with years, changing to consistent ncurses X11
    license
  * Remove old FSF postal address in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Tue, 27 Jan 2026 00:50:42 +0100
